Bug 144317 - minimize column width dont work on tables exceeding page limits in normal view
Summary: minimize column width dont work on tables exceeding page limits in normal view
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords:
Depends on:
Blocks: Cell-Management
  Show dependency treegraph
 
Reported: 2021-09-05 20:52 UTC by elias estatistics
Modified: 2021-10-16 08:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
minimize column width dont work on tables exceeding page limits in normal view (15.33 KB, application/vnd.oasis.opendocument.text)
2021-09-05 20:52 UTC, elias estatistics
Details

Note You need to log in before you can comment on or make changes to this bug.
Description elias estatistics 2021-09-05 20:52:31 UTC
Created attachment 174798 [details]
minimize column width dont work on tables exceeding page limits in normal view

Minimize column width in dont work on tables exceeding page limits in normal view

Try to minimize the size of the table using "minimize column width". 
The table cannot be fixed, instead it is expanded to outer space of our world !!!!
See attachment.

Steps to reproduce:
1) put cursor inside the table
2) Right click, choose "Size" 
3) then Choose "minimize column width"
4) Expansion to outer space of....


(In all previous Libre editions that I Had thsi happened). 

Expected results to shorten columns INSIDE the document. 
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: d5ade739771ddf06cc7ee6d4af15672bfcf09ed6
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5 (cairo+xcb)
Locale: el-GR (el_GR.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-09-01_02:56:07
Calc: threaded Jumbo
Comment 1 Dieter 2021-09-20 18:52:33 UTC
I confirm it with the specific document in

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: b733ccad171e6def8fbdb93f31875dfdea47bdc6
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

and in

Version: 6.3.6.2 (x64)
Build-ID: 2196df99b074d8a661f4036fca8fa0cbfa33a497
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: CL
Comment 2 Justin L 2021-10-04 05:55:21 UTC
repro in bibisect-43all in LO 3.5, so assuming inherited from OOo. (It was called "Optimize" instead of minimize back then.)
Comment 3 Justin L 2021-10-05 14:59:18 UTC
proposed fix at http://gerrit.libreoffice.org/c/core/+/123108
Comment 4 Commit Notification 2021-10-07 07:01:23 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7e201916169aca254c0824fb71ed83ca69f4adce

tdf#144317 sw table minimize: fix signed->unsigned table growth

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-10-07 11:02:01 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/8e5fb64aa9f80941ae1336955f1fe63281d41acc

tdf#144317 sw table minimize: fix signed->unsigned table growth

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-10-07 11:33:57 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2129cc20ce67606cff22e32d4ce2e658240f5cd8

tdf#144317: sw_uiwriter2: Add unittest

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Dieter 2021-10-16 08:05:10 UTC
VERIFIED with

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 56883788d0090383dad58552f5a11044ffe64a44
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL